Skip to contentSkip to navigationSkip to topbar

Update a Knowledge Base


(information)

Legal information

Enterprise Knowledge, including the APIs, may use artificial intelligence or machine learning technologies and is subject to the terms of the Predictive and Generative AI/ML Features Addendum(link takes you to an external page). For more details on AI usage and data, see the AI Nutrition Facts.

Enterprise Knowledge is not a HIPAA Eligible Service or PCI compliant and should not be enabled in workflows that are subject to HIPAA or PCI.

Conversations products are only available in the new Twilio Console(link takes you to an external page). If your account hasn't been migrated, you'll be redirected to the legacy Console where these products won't appear.

PATCH/v2/ControlPlane/KnowledgeBases/{kbId}

Base url: https://knowledge.twilio.com (base url)

Partially update a Knowledge Base. Only the fields provided in the request body will be updated.

Request

update-knowledge-base-request page anchor

Authentication

authentication page anchor
Property nameTypeRequiredPIIDescription
if-Matchstring

Optional

Not PII

Allows for optimistic concurrency control by making the request conditional. Server will only act if the resource's current Entity Tag (ETag) matches the one provided, preventing accidental overwrites.

Example: "eyJpZCI6ImFuX2lkIiwidiI6MX0"Max length: 100
Property nameTypeRequiredPIIDescription
kbIdstring
required

A unique Knowledge Base ID using Twilio Type ID (TTID) format

Example: know_knowledgebase_00000000000000000000000000Pattern: ^know_knowledgebase_[0-7][0-9a-z]{25}$
Encoding type:application/json
Schema
Property nameTypeRequiredPIIDescriptionChild properties
displayNamestring

Optional

Provides a unique and addressable name to be assigned to this Knowledge Base. This name is assigned by the developer and can be used in addition to the ID. It is intended to be human-readable and unique within the account.

Example: product-docsPattern: ^[a-zA-Z0-9-]+$

descriptionstring

Optional

A human readable description of this resource, up to 128 characters.

Example: Product documentation knowledge base for customer supportMin length: 1Max length: 128
202400404429500503

Knowledge Base update request accepted.

Schema
Property nameTypeRequiredPIIDescriptionChild properties
messagestring

Optional

Example: Knowledge Base update request accepted for processing.Max length: 512

statusUrlstring

Optional

URI to check operation status.

Max length: 512
Update a Knowledge BaseLink to code sample: Update a Knowledge Base
1
// Download the helper library from https://www.twilio.com/docs/node/install
2
const twilio = require("twilio"); // Or, for ESM: import twilio from "twilio";
3
4
// Find your Account SID and Auth Token at twilio.com/console
5
// and set the environment variables. See http://twil.io/secure
6
const accountSid = process.env.TWILIO_ACCOUNT_SID;
7
const authToken = process.env.TWILIO_AUTH_TOKEN;
8
const client = twilio(accountSid, authToken);
9
10
async function updateKnowledgeBase() {
11
const knowledgeBasis = await client.knowledge.v2
12
.knowledgeBases("know_knowledgebase_00000000000000000000000000")
13
.update({
14
displayName: "product-docs",
15
});
16
17
console.log(knowledgeBasis.message);
18
}
19
20
updateKnowledgeBase();

Response

Note about this response
1
{
2
"message": "message",
3
"statusUrl": "statusUrl"
4
}